10 '  ********************************************************************
20 '  *                                                                  *
30 '  *  Micro Character Generator page load program RELOAD.BAS V1.03    *
40 '  *            Valid for ROM Software V1.06 and later                *
41 '  *                                                                  *
42 '  *  (C) 1998 by BURST ELECTRONICS Inc                               *
43 '  *                                                                  *
44 '  *  This example program may be freely copied and modified for      *
45 '  *  use with the MCG-2.                                             *
46 '  *                                                                  *
47  ' *                                                                  *
48  ' *                                                                  *
49  ' *                                                                  *
50  ' ********************************************************************
60 '
70 '  ********************************************************************
80 '  *                                                                  *
90 '  *  This program sends data to all 10 pages of a MCG-2 unit and     *
100 ' *  displays the clock if the RTC option is present.                *
101 ' *                                                                  *
110 ' ********************************************************************
120 '
130 CLS
131 PRINT "               Micro Character Generator Page Reload Program";CHR$(13);"                                 Ver 1.02"
140 LOCATE 7,1: PRINT "Enter a number between 1 and 1000";CHR$(13);"Larger number = slower execution."
141 LOCATE 4,1: INPUT "Speed";WT
150 IF WT<=0 THEN PRINT"Invalid speed.": GOTO 140
160 IF WT>1000 THEN PRINT"Invalid speed.": GOTO 140
170 '
180 CLS: PRINT "Enter number for COMM port? (1 or 2)"
190 Q$=INKEY$
200 IF Q$="1" THEN 240
210 IF Q$="2" THEN 300
220 GOTO 190
230 '
240 CLS: PRINT "OPENING SERIAL PORT for COM 1."
250 ' Open COM port 1 for 9600 baud, no parity, 8 data bits, one stop bit
260 ON ERROR GOTO 2860
270 OPEN "COM1:9600,n,8,1" AS #1
280 GOTO 350
290 '
300 CLS: PRINT "OPENING SERIAL PORT for COM 2."
310 ' Open COM port 2 for 9600 baud, no parity, 8 data bits, one stop bit
320 ON ERROR GOTO 2860
330 OPEN "COM2:9600,n,8,1" AS #1
340 '
350 ' Wake device and set responces to OFF
360 PRINT "WAKING DEVICE."
370 GOSUB 2630
380 '
390 PRINT "SENDING PAGES: 1";
400 ' Send WRITE commands to MCG-2, and delay after each line for processing.
410 PRINT #1,"CA"
420 GOSUB 2740
421 PRINT #1,"WL,1,1   RECEIVING PAGES   "
422 GOSUB 2740
423 PRINT #1,"DP,1"
430 GOSUB 2740
440 PRINT #1,"WL,1,1,       MCG-2        "
450 GOSUB 2740
460 PRINT #1,"WL,1,2,  MICRO CHARACTER   "
470 GOSUB 2740
480 PRINT #1,"WL,1,3,     GENERATOR      "
490 GOSUB 2740
500 PRINT #1,"WL,1,4,                    "
510 GOSUB 2740
520 PRINT #1,"WL,1,5,> 180 CHARACTER DISP"
530 GOSUB 2740
540 PRINT #1,"WL,1,6,> 10 PAGES OF MEMORY"
550 GOSUB 2740
560 PRINT #1,"WL,1,7,> RS232 CONTROL     "
570 GOSUB 2740
580 PRINT #1,"WL,1,8,> REMOTE & ON SCREEN"
590 GOSUB 2740
600 PRINT #1,"WL,1,9,  EDITING.          "
610 GOSUB 2740
620 '
630 PRINT " 2";
640 PRINT #1,"WL,2,1,    MCG-2 MICRO     "
650 GOSUB 2740
660 PRINT #1,"WL,2,2, CHARACTER GENERATOR"
670 GOSUB 2740
680 PRINT #1,"WL,2,3,                    "
690 GOSUB 2740
700 PRINT #1,"WL,2,4,> REAL TIME CLOCK   "
710 GOSUB 2740
720 PRINT #1,"WL,2,5,  OPTION.           "
730 GOSUB 2740
740 PRINT #1,"WL,2,6,> TIME OF DAY       "
750 GOSUB 2740
760 PRINT #1,"WL,2,7,> MONTH, DATE, YEAR "
770 GOSUB 2740
780 PRINT #1,"WL,2,8,                    "
790 GOSUB 2740
800 PRINT #1,"WL,2,9,                    "
810 GOSUB 2740
820 PRINT #1,"SC,2"
830 GOSUB 2740
840 PRINT #1,"TL,12,09"
850 GOSUB 2740
860 PRINT #1,"DL,03,09"
870 GOSUB 2740
880 PRINT #1,"TF,3"
890 GOSUB 2740
900 PRINT #1,"CD,B"
910 GOSUB 2740
920 '
930 PRINT " 3";
940 PRINT #1,"WL,3,1,       MCG-2        "
950 GOSUB 2740
960 PRINT #1,"WL,3,2,  MICRO CHARACTER   "
970 GOSUB 2740
980 PRINT #1,"WL,3,3,     GENERATOR      "
990 GOSUB 2740
1000 PRINT #1,"WL,3,4,                    "
1010 GOSUB 2740
1020 PRINT #1,"WL,3,5,> _CHARACTER_ _FLASHING_"
1030 GOSUB 2740
1040 PRINT #1,"WL,3,6,> SPECIAL CHARACTERS"
1050 GOSUB 2740
1060 PRINT #1,"WL,3,7,    #$%<>^|@`[\]&~  "
1070 GOSUB 2740
1080 PRINT #1,"WL,3,8,> 64 CHARACTER SET  "
1090 GOSUB 2740
1100 PRINT #1,"WL,3,9,                    "
1110 GOSUB 2740
1120 '
1130 PRINT " 4";
1140 GOSUB 2740
1150 PRINT #1,"WL,4,1,       MCG-2        "
1160 GOSUB 2740
1170 PRINT #1,"WL,4,2,  MICRO CHARACTER   "
1180 GOSUB 2740
1190 PRINT #1,"WL,4,3,     GENERATOR      "
1200 GOSUB 2740
1210 PRINT #1,"WL,4,4,                    "
1220 GOSUB 2740
1230 PRINT #1,"WL,4,5,> BACKGROUND OPTIONS"
1240 GOSUB 2740
1250 PRINT #1,"WL,4,6,%%%%%%%%%%%%%%%%%%%%"
1260 GOSUB 2740
1270 PRINT #1,"WL,4,7,%%CHARACTERS%ONLY%%%"
1280 GOSUB 2740
1290 PRINT #1,"WL,4,8,%%%%%%%%%%%%%%%%%%%%"
1300 GOSUB 2740
1310 PRINT #1,"WL,4,9,(FULL LINE BACK GND)"
1320 GOSUB 2740
1330 '
1340 PRINT " 5";
1350 PRINT #1,"SC,5"
1360 GOSUB 2740
1370 PRINT #1,"BG,0"
1380 GOSUB 2740
1390 PRINT #1,"WL,5,1,       MCG-2        "
1400 GOSUB 2740
1410 PRINT #1,"WL,5,2,  MICRO CHARACTER   "
1420 GOSUB 2740
1430 PRINT #1,"WL,5,3,     GENERATOR      "
1440 GOSUB 2740
1450 PRINT #1,"WL,5,4,                    "
1460 GOSUB 2740
1470 PRINT #1,"WL,5,5,> BACKGROUND OPTIONS"
1480 GOSUB 2740
1490 PRINT #1,"WL,5,6,                    "
1500 GOSUB 2740
1510 PRINT #1,"WL,5,7,  BACKGROUND ON/OFF "
1520 GOSUB 2740
1530 PRINT #1,"WL,5,8,                    "
1540 GOSUB 2740
1550 PRINT #1,"WL,5,9,                    "
1560 GOSUB 2740
1570 PRINT #1,"SC,6"
1580 GOSUB 2740
1590 PRINT #1,"BG,1"
1600 GOSUB 2740
1610 '
1620 PRINT " 6";
1630 PRINT #1,"WL,6,1,       MCG-2        "
1640 GOSUB 2740
1650 PRINT #1,"WL,6,2,  MICRO CHARACTER   "
1660 GOSUB 2740
1670 PRINT #1,"WL,6,3,     GENERATOR      "
1680 GOSUB 2740
1690 PRINT #1,"WL,6,4,                    "
1700 GOSUB 2740
1710 PRINT #1,"WL,6,5,> INTERNAL          "
1720 GOSUB 2740
1730 PRINT #1,"WL,6,6,  DIAGNOSTICS       "
1740 GOSUB 2740
1750 PRINT #1,"WL,6,7,> TESTS RAM, ROM,   "
1760 GOSUB 2740
1770 PRINT #1,"WL,6,8,  AND SERIAL PORT.  "
1780 GOSUB 2740
1790 PRINT #1,"WL,6,9,                    "
1800 GOSUB 2740
1810 '
1820 PRINT " 7";
1830 PRINT #1,"SC,7"
1840 GOSUB 2740
1850 PRINT #1,"CS,2,4"
1860 GOSUB 2740
1870 PRINT #1,"PP,05,07"
1880 GOSUB 2740
1890 PRINT #1,"WL,7,1,    16      "
1900 GOSUB 2740
1910 PRINT #1,"WL,7,2, CHARACTER  "
1920 GOSUB 2740
1930 PRINT #1,"WL,7,3,   SIZES    "
1940 GOSUB 2740
1950 '
1960 PRINT " 8";
1970 PRINT #1,"WL,8,1,       MCG-2        "
1980 GOSUB 2740
1990 PRINT #1,"WL,8,2,  MICRO CHARACTER   "
2000 GOSUB 2740
2010 PRINT #1,"WL,8,3,     GENERATOR      "
2020 GOSUB 2740
2030 PRINT #1,"WL,8,4,                    "
2040 GOSUB 2740
2050 PRINT #1,"WL,8,5,> SIMPLE TWO LETTER "
2060 GOSUB 2740
2070 PRINT #1,"WL,8,6,  REMOTE CONTROL    "
2080 GOSUB 2740
2090 PRINT #1,"WL,8,7,  COMMANDS.         "
2100 GOSUB 2740
2110 PRINT #1,"WL,8,8,> COMMUNICATE UP TO "
2120 GOSUB 2740
2130 PRINT #1,"WL,8,9,  9600 BAUD.        "
2140 GOSUB 2740
2150 '
2160 PRINT " 9";
2170 PRINT #1,"WL,9,1,       MCG-2        "7
2180 GOSUB 2740
2190 PRINT #1,"WL,9,2,  MICRO CHARACTER   "
2200 GOSUB 2740
2210 PRINT #1,"WL,9,3,     GENERATOR      "
2220 GOSUB 2740
2230 PRINT #1,"WL,9,4,                    "
2240 GOSUB 2740
2250 PRINT #1,"WL,9,5,> BUILT IN MENUS    "
2260 GOSUB 2740
2270 PRINT #1,"WL,9,6,  AND HELP SCREENS. "
2280 GOSUB 2740
2290 PRINT #1,"WL,9,7,> OVERLAYS ON VIDEO."
2300 GOSUB 2740
2310 PRINT #1,"WL,9,8,> EASY TO USE.      "
2320 GOSUB 2740
2330 PRINT #1,"WL,9,9,                    "
2340 GOSUB 2740
2350 '
2360 PRINT " 10";
2370 PRINT #1,"WL,10,1,       MCG-2        "7
2380 GOSUB 2740
2390 PRINT #1,"WL,10,2,  MICRO CHARACTER   "
2400 GOSUB 2740
2410 PRINT #1,"WL,10,3,     GENERATOR      "
2420 GOSUB 2740
2430 PRINT #1,"WL,10,4,                    "
2440 GOSUB 2740
2450 PRINT #1,"WL,10,5,> REMOTE OPERATION  "
2460 GOSUB 2740
2470 PRINT #1,"WL,10,6,  VIA PC COMPUTER.  "
2480 GOSUB 2740
2490 PRINT #1,"WL,10,7,> STAND-ALONE       "
2500 GOSUB 2740
2510 PRINT #1,"WL,10,8,  OPERATION.        "
2520 GOSUB 2740
2530 PRINT #1,"WL,10,9,                    "
2540 GOSUB 2740
2550 '
2560 PRINT: PRINT "ALL PAGES SENT."
2570 PRINT #1,"DP,1"  'Display the page.
2580 GOSUB 2740
2590 PRINT #1,"SR,1"  'Turn responces back on.
2600 GOSUB 2740
2610 GOTO 2850
2620 '
2630 'Slowly send WAKE, and RESPONCES OFF commands
2640 GOSUB 2790 ' Clear MCG-2 input buffer
2650 FOR X=1 TO 14
2660 READ A$
2670 IF A$="~" THEN PRINT #1,CHR$(13): GOSUB 2740: GOTO 2690
2680 PRINT #1,A$;
2690 FOR Y=1 TO 1.7*WT: NEXT Y
2700 NEXT X
2710 RETURN
2720 DATA "S","P","~","W","K",",","0","1","~","S","R",",","0","~"
2730 '
2740 ' Delay between each line to allow for MCG-2 processing.
2750 ' (Slower baud rates require a longer delay.)
2760 FOR Z=1 TO 1.5*WT: NEXT Z
2770 RETURN
2780 '
2790 ' Clear MCG-2 input buffer with a ASCII 13
2800 PRINT #1,CHR$(13);
2810 GOSUB 2740
2820 GOSUB 2740
2830 GOSUB 2740
2840 RETURN
2850 SYSTEM
2860 IF ERR=24 THEN PRINT CHR$(13);"Not able to access MCG-2.  Check cables, be sure you are using the correct";CHR$(13);"COMM port."
2870 RESUME 2880
2880 PRINT
2890 PRINT "Press a Key."
2900 WHILE INKEY$="": WEND
2910 GOTO 2850
